import { Module } from '@nestjs/common'

import { HttpClientModule } from '@/shared/http-client/http-client.module'

import { AgentServerController } from './agent-server.controller'
import { AgentServerHttpService } from './service/agent-server-http.service'
import { AgentServerService } from './service/agent-server.service'

@Module({
  imports: [HttpClientModule],
  controllers: [AgentServerController],
  providers: [AgentServerHttpService, AgentServerService],
  exports: [AgentServerService]
})
export class AgentServerModule {}
