import { Module } from '@nestjs/common'

import { HttpClientModule } from '@/shared/http-client/http-client.module'

import { ChatManagementController } from './chat-management.controller'
import { ChatManagementHttpService } from './service/chat-management-http.service'
import { ChatManagementService } from './service/chat-management.service'

@Module({
  imports: [HttpClientModule],
  controllers: [ChatManagementController],
  providers: [ChatManagementHttpService, ChatManagementService],
  exports: [ChatManagementService]
})
export class ChatManagementModule {}
