export enum HttpStatusCode {
  OK = 200,
  BAD_REQUEST = 400,
  UNAUTHORIZED = 401,
  FORBIDDEN = 403,
  NOT_FOUND = 404,
  INTERNAL_SERVER_ERROR = 500,
  TOO_MANY_REQUESTS = 429
}

export enum BusinessCode {
  SUCCESS = 0,
  BAD_REQUEST = 1,
  UNAUTHORIZED = 2,
  FORBIDDEN = 3,
  NOT_FOUND = 4,
  INTERNAL_SERVER_ERROR = 5,
  TOO_MANY_REQUESTS = 6,
  UNKNOWN_ERROR = 99
}
